diff -ru VirtualBox-2.2.0_OSE/src/VBox/Frontends/VirtualBox/src/main.cpp new/src/VBox/Frontends/VirtualBox/src/main.cpp
--- VirtualBox-2.2.0_OSE/src/VBox/Frontends/VirtualBox/src/main.cpp	2009-04-07 09:14:56.000000000 -0400
+++ new/src/VBox/Frontends/VirtualBox/src/main.cpp	2009-04-28 20:35:33.000000000 -0400
@@ -5,6 +5,11 @@
  */
 
 /*
+ * 
+ * Modified for Zenwalk Linux by Richard Lapointe 2009-07-10
+ * richard_at_laprjns.com
+ * Changed "/etc/init.d/vboxdrv" to "/etc/rc.d/rc.vboxdrv" in 2 places
+ * 
  * Copyright (C) 2006-2009 Sun Microsystems, Inc.
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
@@ -66,7 +71,7 @@
   "such a kernel, please edit /usr/src/vboxdrv-*/Makefile and enable "
   "<i>VBOX_USE_INSERT_PAGE = 1</i>. After that, re-compile the kernel "
   "module by executing<br/><br/>"
-  "  <font color=blue>'/etc/init.d/vboxdrv setup'</font><br/><br/>"
+  "  <font color=blue>'/etc/rc.d/rc.vboxdrv setup'</font><br/><br/>"
   "as root."
   );
 
@@ -74,7 +79,7 @@
   "The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or "
   "there is a permission problem with /dev/vboxdrv. Re-setup the kernel "
   "module by executing<br/><br/>"
-  "  <font color=blue>'/etc/init.d/vboxdrv setup'</font><br/><br/>"
+  "  <font color=blue>'/etc/rc.d/rc.vboxdrv setup'</font><br/><br/>"
   "as root. Users of Ubuntu, Fedora or Mandriva should install the DKMS "
   "package first. This package keeps track of Linux kernel changes and "
   "recompiles the vboxdrv kernel module if necessary."
diff -ru VirtualBox-2.2.0_OSE/src/VBox/Installer/linux/VBox.sh new/src/VBox/Installer/linux/VBox.sh
--- VirtualBox-2.2.0_OSE/src/VBox/Installer/linux/VBox.sh	2009-03-27 15:13:57.000000000 -0400
+++ new/src/VBox/Installer/linux/VBox.sh	2009-04-28 20:29:40.000000000 -0400
@@ -3,6 +3,10 @@
 # Sun VirtualBox
 #
 # Copyright (C) 2006-2009 Sun Microsystems, Inc.
+
+## Modified for Zenwalk Linux by Richard Lapointe 2009-07-10
+## richard_at_laprjns.com
+## Changed "/etc/init.d/vboxdrv" to "/etc/rc.d/rc.vboxdrv" in 2 places
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
 # available from http://www.virtualbox.org. This file is free software;
@@ -37,16 +41,18 @@
 WARNING: The vboxdrv kernel module is not loaded. Either there is no module
          available for the current kernel (`uname -r`) or it failed to
          load. Please recompile the kernel module and install it by
+		 doing as root 
 
-           sudo /etc/init.d/vboxdrv setup
+            /etc/rc.d/rc.vboxdrv setup
 
          You will not be able to start VMs until this problem is fixed.
 EOF
 elif [ ! -c /dev/vboxdrv ]; then
     cat << EOF
-WARNING: The character device /dev/vboxdrv does not exist. Try
+WARNING: The character device /dev/vboxdrv does not exist. Try doing the
+         following as root 
 
-           sudo /etc/init.d/vboxdrv restart
+          /etc/rc.d/rc.vboxdrv restart
 
          and if that is not successful, try to re-install the package.
 
diff -ru VirtualBox-2.2.0_OSE/src/VBox/Installer/linux/vboxdrv.sh.in new/src/VBox/Installer/linux/vboxdrv.sh.in
--- VirtualBox-2.2.0_OSE/src/VBox/Installer/linux/vboxdrv.sh.in	2009-03-27 15:13:57.000000000 -0400
+++ new/src/VBox/Installer/linux/vboxdrv.sh.in	2009-04-28 20:28:21.000000000 -0400
@@ -5,6 +5,10 @@
 #
 # Copyright (C) 2006-2009 Sun Microsystems, Inc.
 #
+## Modified for Zenwalk Linux by Richard Lapointe 2009-07-10
+## richard_at_laprjns.com
+## Changed "vboxusers" to "users" in 1 place
+#
 # This file is part of VirtualBox Open Source Edition (OSE), as
 # available from http://www.virtualbox.org. This file is free software;
 # you can redistribute it and/or modify it under the terms of the GNU
@@ -28,7 +32,7 @@
 
 PATH=/sbin:/bin:/usr/sbin:/usr/bin:$PATH
 DEVICE=/dev/vboxdrv
-GROUPNAME=vboxusers
+GROUPNAME=users
 LOG="/var/log/vbox-install.log"
 NOLSB=%NOLSB%
 
diff -ru VirtualBox-2.2.0_OSE/src/VBox/VMM/VM.cpp new/src/VBox/VMM/VM.cpp
--- VirtualBox-2.2.0_OSE/src/VBox/VMM/VM.cpp	2009-04-07 09:14:46.000000000 -0400
+++ new/src/VBox/VMM/VM.cpp	2009-04-28 20:33:18.000000000 -0400
@@ -6,6 +6,10 @@
 /*
  * Copyright (C) 2006-2007 Sun Microsystems, Inc.
  *
+ * Modified for Zenwalk Linux by Richard Lapointe 2009-07-10
+ * richard_at_laprjns.com
+ * Changed "/etc/init.d/vboxdrv" to "/etc/rc.d/rc.vboxdrv" in 2 places
+ *
  * This file is part of VirtualBox Open Source Edition (OSE), as
  * available from http://www.virtualbox.org. This file is free software;
  * you can redistribute it and/or modify it under the terms of the GNU
@@ -305,7 +309,7 @@
                     pszError = N_("VirtualBox kernel driver not loaded. The vboxdrv kernel module "
                                   "was either not loaded or /dev/vboxdrv is not set up properly. "
                                   "Re-setup the kernel module by executing "
-                                  "'/etc/init.d/vboxdrv setup' as root");
+                                  "'/etc/rc.d/rc.vboxdrv setup' as root");
 #else
                     pszError = N_("VirtualBox kernel driver not loaded");
 #endif
@@ -347,7 +351,7 @@
                     pszError = N_("VirtualBox kernel driver not installed. The vboxdrv kernel module "
                                   "was either not loaded or /dev/vboxdrv was not created for some "
                                   "reason. Re-setup the kernel module by executing "
-                                  "'/etc/init.d/vboxdrv setup' as root");
+                                  "'/etc/rc.d/rc.vboxdrv setup' as root");
 #else
                     pszError = N_("VirtualBox kernel driver not installed");
 #endif
